```@meta
CurrentModule = Crossterm
```

# Crossterm.jl: A Cross-platform Terminal Manipulation Library in Julia

Crossterm is a Julia terminal manipulation library designed to write cross-platform text-based interfaces based on [crossterm-rs/crossterm](https://github.com/crossterm-rs/crossterm). It supports all UNIX and Windows terminals down to Windows 7.

The Julia interface provides simpler interface with functions like:

- `hide()`
- `show()`
- `up()`
- `down()`
- `left()`
- `right()`
- `next()`
- `prev()`

and more.

See API documentation below.

```@autodocs
Modules = [Crossterm]
```

Full C-API documentation is below

```@autodocs
Modules = [Crossterm.LibCrossterm]
```
